Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.cloudwatch.model
Class Datapoint

    java.lang.Object
      com.amazonaws.services.cloudwatch.model.Datapoint

    public class Datapoint

extends Object

Datapoint

Constructor Summary
`Datapoint()`

Method Summary
`Double` | `getAverage()` Returns the value of the Average property for this object.
`String` | `getCustomUnit()` Returns the value of the CustomUnit property for this object.
`Double` | `getMaximum()` Returns the value of the Maximum property for this object.
`Double` | `getMinimum()` Returns the value of the Minimum property for this object.
`Double` | `getSamples()` Returns the value of the Samples property for this object.
`Double` | `getSum()` Returns the value of the Sum property for this object.
`Date` | `getTimestamp()` Returns the value of the Timestamp property for this object.
`String` | `getUnit()` Returns the value of the Unit property for this object.
`void` | `setAverage(Double average)` Sets the value of the Average property for this object.
`void` | `setCustomUnit(String customUnit)` Sets the value of the CustomUnit property for this object.
`void` | `setMaximum(Double maximum)` Sets the value of the Maximum property for this object.
`void` | `setMinimum(Double minimum)` Sets the value of the Minimum property for this object.
`void` | `setSamples(Double samples)` Sets the value of the Samples property for this object.
`void` | `setSum(Double sum)` Sets the value of the Sum property for this object.
`void` | `setTimestamp(Date timestamp)` Sets the value of the Timestamp property for this object.
`void` | `setUnit(String unit)` Sets the value of the Unit property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Datapoint` | `withAverage(Double average)` Sets the value of the Average property for this object.
`Datapoint` | `withCustomUnit(String customUnit)` Sets the value of the CustomUnit property for this object.
`Datapoint` | `withMaximum(Double maximum)` Sets the value of the Maximum property for this object.
`Datapoint` | `withMinimum(Double minimum)` Sets the value of the Minimum property for this object.
`Datapoint` | `withSamples(Double samples)` Sets the value of the Samples property for this object.
`Datapoint` | `withSum(Double sum)` Sets the value of the Sum property for this object.
`Datapoint` | `withTimestamp(Date timestamp)` Sets the value of the Timestamp property for this object.
`Datapoint` | `withUnit(String unit)` Sets the value of the Unit property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Datapoint

    public Datapoint()

Method Detail

### getTimestamp

    public Date getTimestamp()

  Returns the value of the Timestamp property for this object.

  Returns:
    The value of the Timestamp property for this object.

### setTimestamp

    public void setTimestamp(Date timestamp)

  Sets the value of the Timestamp property for this object.

  Parameters:
    `timestamp` - The new value for the Timestamp property for this object.

### withTimestamp

    public Datapoint withTimestamp(Date timestamp)

  Sets the value of the Timestamp property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `timestamp` - The new value for the Timestamp property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUnit

    public String getUnit()

  Returns the value of the Unit property for this object.

  Constraints:
  Pattern: (Seconds|Bytes|Bits|Percent|Count|Bytes/Second|Bits/Second|Count/Second|None)

  Returns:
    The value of the Unit property for this object.

### setUnit

    public void setUnit(String unit)

  Sets the value of the Unit property for this object.

  Constraints:
  Pattern: (Seconds|Bytes|Bits|Percent|Count|Bytes/Second|Bits/Second|Count/Second|None)

  Parameters:
    `unit` - The new value for the Unit property for this object.

### withUnit

    public Datapoint withUnit(String unit)

  Sets the value of the Unit property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: (Seconds|Bytes|Bits|Percent|Count|Bytes/Second|Bits/Second|Count/Second|None)

  Parameters:
    `unit` - The new value for the Unit property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCustomUnit

    public String getCustomUnit()

  Returns the value of the CustomUnit property for this object.

  Returns:
    The value of the CustomUnit property for this object.

### setCustomUnit

    public void setCustomUnit(String customUnit)

  Sets the value of the CustomUnit property for this object.

  Parameters:
    `customUnit` - The new value for the CustomUnit property for this object.

### withCustomUnit

    public Datapoint withCustomUnit(String customUnit)

  Sets the value of the CustomUnit property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `customUnit` - The new value for the CustomUnit property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSamples

    public Double getSamples()

  Returns the value of the Samples property for this object.

  Returns:
    The value of the Samples property for this object.

### setSamples

    public void setSamples(Double samples)

  Sets the value of the Samples property for this object.

  Parameters:
    `samples` - The new value for the Samples property for this object.

### withSamples

    public Datapoint withSamples(Double samples)

  Sets the value of the Samples property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `samples` - The new value for the Samples property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAverage

    public Double getAverage()

  Returns the value of the Average property for this object.

  Returns:
    The value of the Average property for this object.

### setAverage

    public void setAverage(Double average)

  Sets the value of the Average property for this object.

  Parameters:
    `average` - The new value for the Average property for this object.

### withAverage

    public Datapoint withAverage(Double average)

  Sets the value of the Average property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `average` - The new value for the Average property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSum

    public Double getSum()

  Returns the value of the Sum property for this object.

  Returns:
    The value of the Sum property for this object.

### setSum

    public void setSum(Double sum)

  Sets the value of the Sum property for this object.

  Parameters:
    `sum` - The new value for the Sum property for this object.

### withSum

    public Datapoint withSum(Double sum)

  Sets the value of the Sum property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `sum` - The new value for the Sum property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMinimum

    public Double getMinimum()

  Returns the value of the Minimum property for this object.

  Returns:
    The value of the Minimum property for this object.

### setMinimum

    public void setMinimum(Double minimum)

  Sets the value of the Minimum property for this object.

  Parameters:
    `minimum` - The new value for the Minimum property for this object.

### withMinimum

    public Datapoint withMinimum(Double minimum)

  Sets the value of the Minimum property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `minimum` - The new value for the Minimum property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaximum

    public Double getMaximum()

  Returns the value of the Maximum property for this object.

  Returns:
    The value of the Maximum property for this object.

### setMaximum

    public void setMaximum(Double maximum)

  Sets the value of the Maximum property for this object.

  Parameters:
    `maximum` - The new value for the Maximum property for this object.

### withMaximum

    public Datapoint withMaximum(Double maximum)

  Sets the value of the Maximum property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `maximum` - The new value for the Maximum property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.